Get Timesheet

Retrieve a specific timesheet by ID. Returns 404 if archived unless include_archived=true is passed.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

timesheet_idstringRequired

Query parameters

include_archivedbooleanOptionalDefaults to false
Return the timesheet even if it has been archived.

Response

Timesheet details
idintegerOptional
Unique identifier.
typeenum or nullOptional
Time entry type.
statusenum or nullOptional
Processing status of the time entry.
startDatestring or nullOptionalformat: "date-time"
endDatestring or nullOptionalformat: "date-time"
distancedouble or nullOptional
Distance traveled, for TRAVEL entries.
notestring or nullOptional
isArchivedboolean or nullOptional
createdAtstringOptionalformat: "date-time"
updatedAtstringOptionalformat: "date-time"
projectIdinteger or nullOptional

Set when the linked record is a Project. Null when it is an Account (see accountId) or Opportunity (see opportunityId).

accountIdinteger or nullOptional
Set when the linked record is an Account. Null otherwise.
opportunityIdinteger or nullOptional
Set when the linked record is an Opportunity. Null otherwise.
workOrderIdinteger or nullOptional
targetUserIdinteger or nullOptional
The worker the time entry is logged for.
createdByinteger or nullOptional
updatedByinteger or nullOptional
laborHourlyRatedouble or nullOptional

Labor cost ($/hr). Only visible with the appropriate financial privilege.

laborTotalCostdouble or nullOptional
Only visible with the appropriate financial privilege.

Errors

401
Unauthorized Error
404
Not Found Error
502
Bad Gateway Error